Subject: Re: [Bitcoin-development] Encrypted Wallet Backward Compatibility

From: "Luke-Jr" <[email-masked]>
Date: Mon, 4 Jul 2011 14:20:07 -0400

On Monday, July 04, 2011 1:52:53 PM Matt Corallo wrote:
> There were several suggestions of renaming wallet.dat for encrypted
> wallets.  Obviously this has many advantages and disadvantages.  It
> breaks backup scripts,

It shouldn't. Backup scripts should make a copy with the JSON-RPC call.

What about changing the format of wallet.dat to something that triggers an 
error in the old clients? ie, maybe a dummy crafted-to-make-old-versions-
complain file that simply means "use ewallet.dat"?